Name:          mdio-tools
Version:       1.3.1
Release:       1%{?dist}
Summary:       Low-level debug tools for MDIO network devices

License:       GPL-2.0
URL:           https://github.com/wkz/mdio-tools/
Source0:       %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Upstream uses git to determine version
Patch0:        mdio-tools-fix-ver.patch
# https://github.com/wkz/mdio-tools/pull/38
Patch1:        0001-Explicit-linking-behavior.patch
Patch2:        0002-Use-more-portable-attribute.patch

BuildRequires: make autoconf automake m4
BuildRequires: gcc
BuildRequires: libmnl-devel

%description
Low-level debug tools for MDIO network devices.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build all

%install
%make_install
rm -rf %{buildroot}/%{_docdir}/mdio-tools/COPYING

%files
%license COPYING
%doc README.md ChangeLog.md
%{_sbindir}/mdio
%{_sbindir}/mvls
%{_mandir}/man8/mdio.8*
%{_mandir}/man8/mvls.8*
%{_mandir}/man9/mdio-netlink.9*

%changelog
* Sun Nov 03 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1.3.1-1
- Initial package
